import apiRequest from '@/network/http/apiRequest'

/**
 * 获取Api分页
 * @param data
 * @returns
 */
export function getApiByPage(data: any) {
  return apiRequest({
    url: '/api/page',
    method: 'GET',
    params: data,
  })
}

/**
 * 获取Api列表
 * @param data
 * @returns
 */
export function getApiByList(data: any) {
  return apiRequest({
    url: '/api',
    method: 'GET',
    params: data,
  })
}

/**
 * 根据Id获取Api
 * @param apiId
 * @returns
 */
export function getApiById(apiId: number) {
  return apiRequest({
    url: `/api/${apiId}`,
    method: 'GET',
  })
}

/**
 * 添加Api
 * @param data
 * @returns
 */
export function createApi(data: any) {
  return apiRequest({
    url: '/api/add',
    method: 'POST',
    data,
  })
}

/**
 * 更新Api
 * @param data
 * @returns
 */
export function updateApi(data: any) {
  return apiRequest({
    url: '/api/update',
    method: 'PUT',
    data,
  })
}

/**
 * 更新Api
 * @param apiId
 * @param status
 * @returns
 */
export function updateApiStatus(apiId: number, status: number) {
  return apiRequest({
    url: `/api/updateStatus/${apiId}/${status}`,
    method: 'PUT',
  })
}

/**
 * 删除Api
 * @param apiId
 * @returns
 */
export function deleteApiById(apiId: number) {
  return apiRequest({
    url: `/api/${apiId}`,
    method: 'DELETE',
  })
}
